#pragma once

#include <Adafruit_GFX.h>
#include <Adafruit_ILI9341.h>
#include <cstdint>

namespace tft {

    // Color definitions
    constexpr uint16_t  BLACK = 0x0000;
    constexpr uint16_t  BLUE = 0x001F;
    constexpr uint16_t  RED = 0xF800;
    constexpr uint16_t  GREEN = 0x07E0;
    constexpr uint16_t  CYAN = 0x07FF;
    constexpr uint16_t  MAGENTA = 0xF81F;
    constexpr uint16_t  YELLOW = 0xFFE0 ;
    constexpr uint16_t  WHITE = 0xFFFF;
    constexpr uint16_t  LIGHT_GREY = 0xDEFB;
    constexpr uint16_t  FOREGROUND = BLACK;
    constexpr uint16_t  BACKGROUND = LIGHT_GREY;

    void    Setup();
    void    Clear();
    void    SetCursor(int16_t x, int16_t y);
    void    Println(const char *s);
}