#include "display.h"


namespace tft { 
    constexpr uint8_t TFT_CS = 9;
    constexpr uint8_t TFT_DC = 10;

    static Adafruit_ILI9341 tft(TFT_CS, TFT_DC);


    void
    Setup()
    {
        tft.begin();
        tft.setRotation(1);
        tft.setTextSize(1);
	    tft.setTextColor(FOREGROUND);
        Clear();
    }

    void
    Clear()
    {
        tft.fillScreen(BACKGROUND);
    }

    void
    SetCursor(int16_t x, int16_t y)
    {
        tft.setCursor(x, y);
    }

    void
    Println(const char *s)
    {
        tft.println(s);
    }
}